TYPO3.Neos - Feature # 33188

Status: Closed Priority: Should have

Author: Rens Admiraal Category:

Created: 2012-01-13 Assigned To:

Updated: 2014-10-04 Due date:

Subiject: Add frontend localization to node controller and import; add locale settings to node and context
Description

Add support for frontend localization.

Solution chosen for now is setting a current language in the FLOWS 118n service class which is used by the TranslateViewHelper
class. Besides that the treatNodeWithContext filters nodes of the wrong language.

Setting the languages can now be done using Settings.yaml, first language of the locales array is used as default language. This is
just a placeholder for now as this of course has to be configured using TypoScript later on.

History

#1 - 2012-01-14 00:11 - Rens Admiraal
- Status changed from New to Under Review

#2 - 2013-05-17 18:23 - Sebastian Kurfuerst

- Subject changed from Add frontend localization to Add frontend localization to node controller and import
#3 - 2013-05-17 18:24 - Sebastian Kurfuerst
- Subject changed from Add frontend localization to node controller and import to Add frontend localization to node controller and import; add locale

settings to node and context

#4 - 2014-10-04 12:21 - Lienhart Woitok

- Status changed from Under Review to Closed

Superseeded by content dimensions.
